/**
 * 
 */
package de.dhbwstuttgart.bytecode.utilities;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;

import de.dhbwstuttgart.bytecode.constraint.TPHConstraint;
import de.dhbwstuttgart.syntaxtree.type.TypePlaceholder;

/**
 * @author fayez
 *
 */
public class SimplifyResult {
	private final ArrayList<TPHConstraint> classConstraints;
	private final ArrayList<String> tphsClass;
	private final HashMap<String, HashMap<TPHConstraint, HashSet<String>>> methodsConstraints;
	
	public SimplifyResult(ArrayList<TPHConstraint> classConstraints, ArrayList<String> tphsClass,
			HashMap<String, HashMap<TPHConstraint, HashSet<String>>> methodsConstraints) {
		super();
		this.classConstraints = classConstraints;
		this.tphsClass = tphsClass;
		this.methodsConstraints = methodsConstraints;
	}

	public ArrayList<TPHConstraint> getClassConstraints() {
		return classConstraints;
	}

	public HashMap<String, HashMap<TPHConstraint, HashSet<String>>> getMethodsConstraints() {
		return methodsConstraints;
	}

	public ArrayList<String> getTphsClass() {
		return tphsClass;
	}
	
}
